package com.keao.edu.user.api.entity;

import com.keao.edu.auth.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student):
 */
public class Student extends SysUser{

	@ApiModelProperty(value = "用户编号")
	private Integer userId;
	
	@ApiModelProperty(value = "证件照")
	private String certificatePhoto;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	private Integer organId;

	@ApiModelProperty(value = "考试次数")
	private Integer examNum;

	private SysUser sysUser;

	public Student(Integer organId, String phone) {
		this.organId = organId;
		SysUser user = new SysUser();
		user.setPhone(phone);
		user.setRealName(phone);
		this.sysUser = user;
	}

	public Student() {
		super();
	}

	public Integer getExamNum() {
		return examNum;
	}

	public void setExamNum(Integer examNum) {
		this.examNum = examNum;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public SysUser getSysUser() {
		return sysUser;
	}

	public void setSysUser(SysUser sysUser) {
		this.sysUser = sysUser;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCertificatePhoto(String certificatePhoto){
		this.certificatePhoto = certificatePhoto;
	}
	
	public String getCertificatePhoto(){
		return this.certificatePhoto;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
